#!/usr/bin/python

import cElementTree
import sys

if __name__ == "__main__":
    try:
        prog, xmlfile = sys.argv
    except ValueError:
        sys.exit("Usage: %s 'Library/Application Support/Delicious Library/Library Media Data.xml'" % __file__)
    deli = cElementTree.parse(xmlfile)
    assert deli.getroot().tag == "library", "file was xml, but doesn't smell right"
    books = deli.findall("items/book")
    print >> sys.stderr, len(books), "actual books found"
    for book in books:
        print "\t".join(map(lambda s: s.replace("\n", " "),
                            [book.get("asin",""), book.get("title",""), book.get("author","")]))
